/* ==========================================================================
   Blog List - Masonry style - begin
   ========================================================================== */

.mkdf-blog-holder {
	
    &.mkdf-blog-masonry {

        article {
            margin: 0 0 20px;
            padding: 0 0 30px;

            &.mkdf-post-has-media {
                .mkdf-post-heading {
                    margin-bottom: 24px;
                }
            }

            .mkdf-post-title {
                margin: 0 0 5px 0;
            }

            .mkdf-post-excerpt-holder {
                @include mkdfRelativeHolderLayout();
                margin: 0 0 19px;
            }

            .mkdf-more-link-container {
                @include mkdfRelativeHolderLayout();
                margin: 20px 0 0;
            }

            .mkdf-post-info-top {
                margin-bottom: 8px;

                > div {
                    position: relative;
                    display: inline-block;
                    padding-right: 8px;
                    margin-right: 3px;
                    font-weight: 600;
                    font-size: 14px;
                    color: #b9b9b9;

                    a {
                        color: inherit;

                        &:hover {
                            color: #606264;
                        }
                    }

                    &:last-child {
                        padding-right: 0;
                        margin-right: 0;
                    }

                    &.mkdf-post-info-category {
                        a:before {
                            content: "\e07c";
                            font-family: 'ElegantIcons';
                            display: inline-block;
                            margin-right: 6px;
                            position: relative;
                            top: 2px;
                        }
                        a:hover {
                            &:before {
                                color: #606264;
                            }
                        }
                    }
                }
            }

            .mkdf-post-info-bottom {
	            margin-top: 0;
	            padding-top: 15px;
	            border-top: 1px solid #dadada;

                .mkdf-post-info-bottom-left,
                .mkdf-post-info-bottom-right {
	                position: relative;
	                display: inline-block;
	                width: 50%;
	                float: left;
                    line-height: 25px;
                }

                .mkdf-post-info-bottom-right {
	                
                    > div {
                        margin-left: 15px;
	                    
	                    &:first-child {
		                    margin-left: 0;
	                    }
                    }
                }

                .mkdf-post-info-author {
                    display: inline-block;
	                
                    a {
                        text-transform: capitalize;
                        color: #b9b9b9;
	                    
                        &:hover {
                            color: #606264;
                        }
                    }
                }

                .mkdf-post-info-bottom-right {
                    text-align: right;
                }

                .mkdf-post-info-comments-holder,
                .mkdf-blog-like {
                    display: inline-block;

                    a {
                        display: inline-block;

                        span,
                        i {
                            vertical-align: middle;
                            color: inherit;
                        }
                    }
                }

                .mkdf-blog-like {
	                
                    i:first-child,
                    span:first-child {
                        @include mkdfTransition(color 0.15s ease-out);
                        margin-right: 7px;
                        color: #c4c3c3;
                    }

                    &:hover {
	                    
                        i:first-child,
                        span:first-child {
                            color: #606264;
                        }
                    }
                }

                .mkdf-post-info-comments-holder {
	                
                    span:first-child {
                        @include mkdfTransition(color 0.15s ease-out);
                        margin-right: 3px;
                        color: #c4c3c3;
                    }
	                
                    &:hover {
	                    
                        span:first-child {
                            color: #606264;
                        }
                    }
                }

                > div {
                    position: relative;
                    display: inline-block;
                    padding-right: 8px;
                    margin-right: 3px;
                    font-weight: 600;
                    font-size: 14px;
                    color: #b9b9b9;

                    a {
                        color: inherit;

                        &:hover {
                            color: #606264;
                        }
                    }

                    &:last-child {
                        padding-right: 0;
                        margin-right: 0;
                    }

                    &.mkdf-post-info-category {
                        a:before {
                            content: "\e07c";
                            font-family: 'ElegantIcons';
                            display: inline-block;
                            margin-right: 6px;
                            position: relative;
                            top: 2px;
                        }
                        a:hover {
                            &:before {
                                color: #606264;
                            }
                        }
                    }
                }

                .mkdf-post-info-author-avatar-holder {
                    overflow: hidden;
                    display: inline-block;
                    width: 30px;
                    height: 30px;
                    vertical-align: middle;
                    margin-right: 13px;
                    -webkit-border-radius: 50%;
                    -moz-border-radius: 50%;
                    border-radius: 50%;
                }
            }

            &.format-audio {
                &.mkdf-post-no-media.has-post-thumbnail {
                    .mkdf-post-heading {
                        margin-bottom: 30px;
                    }
                }
            }

            &.format-link {
	            
                .mkdf-post-text {
	                padding: 48px 25px 41px 40px;
                    background-color: transparent;
                    overflow: hidden;
                    border: 1px solid #f2f2f2;
                    background-image: url('../../../../../assets/img/background-pattern.jpg');
                    background-position: left center;
                }
	            
                .mkdf-post-text-main {
                    display: table;
                    table-layout: fixed;
                    height: 100%;
                    width: 100%;
                    text-align: left;
                }

                .mkdf-post-mark {
                    position: absolute;
                    top: -11px;
                    right: -11px;
                    font-size: 101px;
                    color: #b9b9b9;
                    opacity: 0.22;

                    .mkdf-link-mark {
                        padding-top: 5px;
                    }
                }

                .mkdf-post-info-bottom {
                    border: none;
                    padding-top: 10px;
                }
	            
                .mkdf-post-link-holder {
                    @include mkdfTableCellLayout();
                    vertical-align: top;
                    text-align: left;
                }
	            
                .mkdf-post-title {
                    margin-bottom: 0;
                }
            }
	        
            &.format-quote {
	            
                .mkdf-post-text {
	                padding: 46px 25px 32px 40px;
                    background-color: transparent;
                    overflow: hidden;
                    border: 1px solid #f2f2f2;
                    background-image: url('../../../../../assets/img/background-pattern.jpg');
                    background-position: left center;
                }
	            
                .mkdf-post-text-main {
                    display: table;
                    table-layout: fixed;
                    height: 100%;
                    width: 100%;
                    text-align: left;
                }

                .mkdf-post-mark {
                    position: absolute;
                    top: -58px;
                    right: -21px;
                    font-size: 175px;
                    color: #b9b9b9;
                    opacity: 0.22;

                    .mkdf-quote-mark {
                        padding-top: 5px;
                    }
                }

                .mkdf-quote-author {
                    font-weight: 600;
                    font-size: 14px;
                    color: #b9b9b9;
                }

                .mkdf-post-info-bottom {
                    border: none;
                    padding-top: 23px;
                }
	            
                .mkdf-post-link-holder {
                    @include mkdfTableCellLayout();
                    vertical-align: top;
                    text-align: left;
                }
	            
                .mkdf-post-title {
                    margin-bottom: 0;
                }
	            
                .mkdf-post-author {
	                display: inline-block;
	                margin-bottom: 23px;
	                font-size: 13px;
	                line-height: 20px;
                }
            }
        }

        .mkdf-blog-pagination {
            margin: 47px 0 52px;
        }
    }
}
/* ==========================================================================
   Blog List - Masonry style - end
   ========================================================================== */